cubestorm(6)

NAME
cubestorm - a series of 3D boxes that fill space

SYNOPSIS
cubestorm [-display host:display.screen] [-visual visual] [-window] [-root] [-delay number] [-speed float] [-count int] [-thickness float] [-no-wander] [-no-spin] [-wireframe] [-fps]

DESCRIPTION
Draws a series of rotating 3D boxes that intersect each other and eventually fill space.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-delay number
    Per-frame delay, in microseconds. Default: 30000 (0.03 seconds.).

-speed number
    Larger numbers mean run faster. Default: 1.0.

-count number
    Number of cubes. Default 4.

-thickness float
    How thick the struts making up the cubes should be (0.0-1.0). Default 0.06.

-wander | -no-wander
    Whether the cubes should wander around the screen.

-spin | -no-spin
    Whether the cubes should spin.

-wireframe | -no-wireframe
    Render in wireframe instead of solid.

-fps | -no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2003 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski.